/*
 * Project Application Template
 *
 * Write your code here, adjust the Makefile, compile and run.
 *
 */
 
#include "stm32f10x.h"
#include "hapticLib.h"

/*
 * This is just to let you know there is the HL_DEBUG symbol.
 *
 * If you want to disable the HapticLib Debugging features, you
 * must undefine HL_DEBUG inside hapticLib.h. (It is defined by default).
 *
 * Also, if you want to (probably yes) use these features inside your
 * application code, you must define HL_DEBUG here too.
 *
 * To be 100% safe, you can add -DHL_DEBUG to the compiler command line.
 *
 */
#ifdef  HL_DEBUG
#undef  HL_DEBUG
#define HL_DEBUG
#endif


int main(void)
{
  	/* 
	 * Here the System Clock must be already configured.
   	 * Make sure the startup code (vector.c is the default) calls SystemInit()
   	 * before branching here to main().
   	 */

	// Read the documentation to know how to use HapticLib.

	while(1) { __WFE(); }
}

